## linux-librem5 6.6.110pureos1~byz1

=== debian/changelog ===
linux-librem5 (6.6.110pureos1~byz1) byzantium; urgency=medium

  * Release into byzantium.

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Fri, 17 Oct 2025 16:15:48 +0200

linux-librem5 (6.6.110pureos1) dawn; urgency=medium

  * Merge tag 'v6.6.110' into pureos/latest

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Sun, 12 Oct 2025 06:34:47 +0200

linux-librem5 (6.6.101pureos1~byz1) byzantium; urgency=medium

  * Release into byzantium.

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Fri, 29 Aug 2025 19:48:03 +0200

linux-librem5 (6.6.101pureos1) dawn; urgency=medium

  * Merge tag 'v6.6.101' into pureos/latest

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Thu, 14 Aug 2025 00:29:08 +0200

linux-librem5 (6.6.92pureos1~byz1) byzantium; urgency=medium

  * Release into byzantium.

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Mon, 02 Jun 2025 05:41:12 +0200

linux-librem5 (6.6.92pureos1) dawn; urgency=medium

  * Merge tag 'v6.6.92' into pureos/latest
  * arm64: dts: imx8mq-librem5: Set cap-power-off-card for usdhc2

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Thu, 22 May 2025 23:42:20 +0200

linux-librem5 (6.6.83pureos2~byz1) byzantium; urgency=medium

  * Release into byzantium.
  * Revert "dts: imx8mq-librem5: Set vibrator's PWM frequency to 20kHz"
    - This requires feedbackd theme changes that won't be backported into byzantium.

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Thu, 22 May 2025 23:01:44 +0200

linux-librem5 (6.6.83pureos2) dawn; urgency=medium

  [ Sebastian Krzyszkowiak ]
  * d/rules: Make binary-arch depend on build-arch
  * drm/panel: mantix: Enable DSI LPM
  * drm/panel: mantix: Improve power on sequence timings
  * drm/panel: mantix: Improve power off sequence
  * drm/panel: mantix: Drop bank 9 initialization
  * drm/panel: mantix: Don't turn on MIPI peripheral
  * arm64: dts: imx8mq-librem5: Limit uSDHC2 frequency to 50MHz
  * Input: edt-ft5x06: Empty all slots when status register shows zero touches
  * arm64: dts: imx8mq-librem5: Enable I2C recovery
  * bq25890_charger: Clamp supplied input current limit instead of falling back to 500mA
  * bq25890_charger: Don't hardcore IINLIM range
  * tps6598x: Clamp max current to 3A
  * librem5_defconfig: Enable lockup detector
  * devfreq: imx-bus: Return -EPROBE_DEFER when failing to grab passive parent
  * dts: imx8mq-librem5: Enable 100MHz, 400MHz, 800MHz and 1.3GHz CPU frequencies
  * dts: imx8mq-librem5: Set vibrator's PWM frequency to 20kHz
  * gitlab-ci: Don't run debian/rules debian/control
  * gitlab-ci: Include pipeline ID and commit rev in package version
  * d/rules: Pass KBUILD_BUILD_VERSION_TIMESTAMP with package version
  * arm64: dts: imx8mq-librem5: Enable SNVS RTC
  * devfreq: imx8m-ddrc: Switch DRAM to lowest frequency in s2idle
  * arm64: dts: imx8mq-librem5: Set M4 core frequency to 25MHz
  * arm64: dts: imx8mq: Set the correct gpu_ahb clock frequency
  * librem5_defconfig: Compress modules
  * usb: core: hub: Don't wait for TRSMRCY on remote wakeup of already active port
  * arm64: dts: imx8mq-librem5: Set CD GPIO for uSDHC2
  * librem5_defconfig: Enable LZ4, LZ4HC and ZSTD compressors

  [ Sun Haiyong ]
  * perf tools: Fix calloc() arguments to address error introduced in gcc-14
  * perf top: Remove needless malloc(0) call that triggers -Walloc-size

  [ Ben Hutchings ]
  * Make mkcompile_h accept an alternate timestamp string

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Thu, 22 May 2025 21:33:47 +0200

linux-librem5 (6.6.83pureos1~byz1) byzantium; urgency=critical

  * Release into byzantium.

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Sat, 22 Mar 2025 15:43:06 +0100

linux-librem5 (6.6.83pureos1) dawn; urgency=critical

  [ Sebastian Krzyszkowiak ]
  * Merge tag 'v6.6.83' into pureos/latest
  * Revert "arm64: dts: imx8mq-librem5: disable SuperSpeed instances in park mode"
  * Revert "usb: xhci: increase XHCI_MAX_REXIT_TIMEOUT_MS"
  * Revert "usb: quirks: hub_slow_reset for usb2642"
  * Revert "USB: Fix USB device disconnects on resume."
  * scsi: sd: Move ignore_media_change handling to sd_resume_common
  * gitlab-ci: Switch to -dev image

  [ Eric Kuzmenko ]
  * Revert "Enable internal pull-ups for HSW_4G_STATE, HSW_WIFI_STATE, and HSW_CA_STATE"
  * Set 4G_PWR_EN, WIFI3V3_EN, and CAMERA_PWR_EN_3V3 / AUDIO_POWER_EN_3V3 drive strength to 40-Ohms

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Sat, 22 Mar 2025 15:30:49 +0100

linux-librem5 (6.6.74pureos1~byz1) byzantium; urgency=medium

  [ Martin Kepplinger-Novaković ]
  * [5fa4adbb] Merge branch 'pureos/latest' into pureos/byzantium

 -- Martin Kepplinger <martin.kepplinger@puri.sm>  Wed, 29 Jan 2025 09:28:00 +0100

linux-librem5 (6.6.74pureos1) dawn; urgency=medium

  [ Martin Kepplinger ]
  * [8344b5f1] Merge tag 'v6.6.74' into stable/6.6.74

 -- Martin Kepplinger <martin.kepplinger@puri.sm>  Wed, 29 Jan 2025 09:19:25 +0100

linux-librem5 (6.6.66pureos1~byz1) byzantium; urgency=medium

  [ Martin Kepplinger ]
  * Merge branch 'pureos/latest' into pureos/byzantium

 -- Martin Kepplinger <martin.kepplinger@puri.sm>  Tue, 17 Dec 2024 08:03:21 +0100

linux-librem5 (6.6.66pureos1) dawn; urgency=medium

  [ Martin Kepplinger ]
  * Merge tag 'v6.6.66' into stable/6.6.66

 -- Martin Kepplinger <martin.kepplinger@puri.sm>  Mon, 16 Dec 2024 08:28:40 +0100

linux-librem5 (6.6.63pureos1~byz1) byzantium; urgency=medium

  [ Martin Kepplinger ]
  * Merge branch 'pureos/latest' into pureos/byzantium

 -- Martin Kepplinger <martin.kepplinger@puri.sm>  Mon, 02 Dec 2024 09:46:23 +0100

linux-librem5 (6.6.63pureos1) dawn; urgency=medium

  [ Martin Kepplinger ]
  * librem5_defconfig: enable ax25 modules
  * Merge tag 'v6.6.63' into stable/6.6.63

 -- Martin Kepplinger <martin.kepplinger@puri.sm>  Mon, 02 Dec 2024 09:39:05 +0100

linux-librem5 (6.6.57pureos1~byz1) byzantium; urgency=medium

  [ Martin Kepplinger ]


## linux-librem5 6.6.110pureos1~cri1

=== debian/changelog ===
linux-librem5 (6.6.110pureos1~cri1) crimson; urgency=medium

  * Release into rcimron

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Fri, 17 Oct 2025 16:14:48 +0200

linux-librem5 (6.6.101pureos1~cri1) crimson; urgency=medium

  * Release into crimson.

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Fri, 29 Aug 2025 19:45:38 +0200

linux-librem5 (6.6.92pureos1~cri1) crimson; urgency=medium

  * Release into crimson.

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Mon, 02 Jun 2025 05:39:31 +0200

linux-librem5 (6.6.83pureos2~cri1) crimson; urgency=medium

  * Release into crimson.

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Thu, 22 May 2025 22:58:45 +0200

linux-librem5 (6.6.83pureos1~cri1) crimson; urgency=critical

  * Release into crimson.

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Sat, 22 Mar 2025 15:39:30 +0100

linux-librem5 (6.6.74pureos1~cri1) crimson; urgency=medium

  [ Martin Kepplinger-Novaković ]
  * [e963bdfb] Merge branch 'pureos/latest' into pureos/crimson

 -- Martin Kepplinger <martin.kepplinger@puri.sm>  Wed, 29 Jan 2025 09:24:00 +0100

linux-librem5 (6.6.66pureos1~cri1) crimson; urgency=medium

  [ Martin Kepplinger ]
  * Merge branch 'pureos/latest' into pureos/crimson

 -- Martin Kepplinger <martin.kepplinger@puri.sm>  Tue, 17 Dec 2024 08:01:14 +0100

linux-librem5 (6.6.63pureos1~cri1) crimson; urgency=medium

  [ Martin Kepplinger ]
  * Merge branch 'pureos/latest' into pureos/crimson

 -- Martin Kepplinger <martin.kepplinger@puri.sm>  Mon, 02 Dec 2024 09:42:16 +0100

linux-librem5 (6.6.57pureos1~cri1) crimson; urgency=medium

  [ Martin Kepplinger ]
  * Merge branch 'pureos/latest' into pureos/crimson

 -- Martin Kepplinger <martin.kepplinger@puri.sm>  Mon, 28 Oct 2024 13:02:52 +0100

linux-librem5 (6.6.52pureos1~cri1) crimson; urgency=medium

  [ Martin Kepplinger ]
  * Merge branch 'pureos/latest' into pureos/crimson

 -- Martin Kepplinger <martin.kepplinger@puri.sm>  Mon, 23 Sep 2024 11:24:31 +0200

linux-librem5 (6.6.40pureos1) crimson; urgency=medium

  [ Sebastian Krzyszkowiak ]
  * Revert "sound: codec: gtm601: the BM818 uses stereo channels"
  * Revert "hack: sound: set the gtm601 driver to 48K"

  [ Martin Kepplinger ]
  * Merge tag 'v6.6.40' into stable/6.6.40
  * gitlab-ci: switch to pureos/crimson image
  * d/gbp.conf: switch to pureos/crimson branch
  * Merge branch 'pureos/latest' into pureos/crimson

 -- Martin Kepplinger <martin.kepplinger@puri.sm>  Tue, 16 Jul 2024 12:55:10 +0200

## linux-librem5 6.6.110pureos2~byz1

=== debian/changelog ===
linux-librem5 (6.6.110pureos2~byz1) byzantium; urgency=medium

  * Release into byzantium

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Mon, 01 Dec 2025 00:42:55 +0100

linux-librem5 (6.6.110pureos2) dawn; urgency=medium

  * [23741ec] arm64: dts: imx8mq-librem5: Specify the clock frequency for s5k3l6xx
  * [5505bfc] s5k3l6xx: Enable bad pixel correction
  * [f941288] s5k3l6xx: Fix the output window positions not to include dummy pixels
  * [63b7d10] s5k3l6xx: Configure the clocks correctly, don't overdrive the sensor
  * [13af4ed] s5k3l6xx: Choose the right MIPI link frequency to report
  * [f5b6100] s5k3l6xx: Add RAW10 frame formats
  * [d0eb0a1] s5k3l6xx: Set digital processing chain configuration based on vendor-provided register list
  * [7adb47f] s5k3l6xx: Use non-continuous MIPI clock
  * [efaf1b7] s5k3l6xx: Allow to configure the frame interval
  * [095ae2f] s5k3l6xx: Don't leak debugfs when unloading
  * [119fcbf] s5k3l6xx: Set the correct pixel rate
  * [b4f0e49] s5k3l6xx: Update exposure and blanking control limits according to current mode
  * [2f8e750] s5k3l6xx: Simplify the power-up sequence
  * [72913ef] dw9714: Use linear slope control

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Mon, 01 Dec 2025 00:39:09 +0100

## linux-librem5 6.6.110pureos2~cri1

=== debian/changelog ===
linux-librem5 (6.6.110pureos2~cri1) crimson; urgency=medium

  * Release into crimson

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Mon, 01 Dec 2025 00:41:28 +0100

## linux-librem5 6.6.118pureos1~byz1

=== debian/changelog ===
linux-librem5 (6.6.118pureos1~byz1) byzantium; urgency=medium

  * Release into byzantium

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Wed, 10 Dec 2025 00:42:48 +0100

linux-librem5 (6.6.118pureos1) dawn; urgency=medium

  * [49c5249] librem5_defconfig: Enable DMA heaps and udmabuf
  * [db56965] Merge tag 'v6.6.118' into pureos/latest

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Fri, 05 Dec 2025 01:24:43 +0100

## linux-librem5 6.6.118pureos1~cri1

=== debian/changelog ===
linux-librem5 (6.6.118pureos1~cri1) crimson; urgency=medium

  * Release into crimson

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Wed, 10 Dec 2025 00:41:36 +0100

## linux-librem5 6.6.119pureos1~byz1

=== drivers/leds/Makefile ===
# SPDX-License-Identifier: GPL-2.0

# LED Core
obj-$(CONFIG_NEW_LEDS)			+= led-core.o
obj-$(CONFIG_LEDS_CLASS)		+= led-class.o
obj-$(CONFIG_LEDS_CLASS_FLASH)		+= led-class-flash.o
obj-$(CONFIG_LEDS_CLASS_MULTICOLOR)	+= led-class-multicolor.o
obj-$(CONFIG_LEDS_TRIGGERS)		+= led-triggers.o

# LED Platform Drivers (keep this sorted, M-| sort)
obj-$(CONFIG_LEDS_88PM860X)		+= leds-88pm860x.o
obj-$(CONFIG_LEDS_ACER_A500)		+= leds-acer-a500.o
obj-$(CONFIG_LEDS_ADP5520)		+= leds-adp5520.o
obj-$(CONFIG_LEDS_AN30259A)		+= leds-an30259a.o
obj-$(CONFIG_LEDS_APU)			+= leds-apu.o
obj-$(CONFIG_LEDS_ARIEL)		+= leds-ariel.o
obj-$(CONFIG_LEDS_AW200XX)		+= leds-aw200xx.o
obj-$(CONFIG_LEDS_AW2013)		+= leds-aw2013.o
obj-$(CONFIG_LEDS_BCM6328)		+= leds-bcm6328.o
obj-$(CONFIG_LEDS_BCM6358)		+= leds-bcm6358.o
obj-$(CONFIG_LEDS_BD2606MVV)		+= leds-bd2606mvv.o
obj-$(CONFIG_LEDS_BD2802)		+= leds-bd2802.o
obj-$(CONFIG_LEDS_BLINKM)		+= leds-blinkm.o
obj-$(CONFIG_LEDS_CHT_WCOVE)		+= leds-cht-wcove.o
obj-$(CONFIG_LEDS_CLEVO_MAIL)		+= leds-clevo-mail.o
obj-$(CONFIG_LEDS_COBALT_QUBE)		+= leds-cobalt-qube.o
obj-$(CONFIG_LEDS_COBALT_RAQ)		+= leds-cobalt-raq.o
obj-$(CONFIG_LEDS_CPCAP)		+= leds-cpcap.o
obj-$(CONFIG_LEDS_DA903X)		+= leds-da903x.o
obj-$(CONFIG_LEDS_DA9052)		+= leds-da9052.o
obj-$(CONFIG_LEDS_GPIO)			+= leds-gpio.o
obj-$(CONFIG_LEDS_GPIO_REGISTER)	+= leds-gpio-register.o
obj-$(CONFIG_LEDS_HP6XX)		+= leds-hp6xx.o
obj-$(CONFIG_LEDS_INTEL_SS4200)		+= leds-ss4200.o
obj-$(CONFIG_LEDS_IP30)			+= leds-ip30.o
obj-$(CONFIG_LEDS_IPAQ_MICRO)		+= leds-ipaq-micro.o
obj-$(CONFIG_LEDS_IS31FL319X)		+= leds-is31fl319x.o
obj-$(CONFIG_LEDS_IS31FL32XX)		+= leds-is31fl32xx.o
obj-$(CONFIG_LEDS_LM3530)		+= leds-lm3530.o
obj-$(CONFIG_LEDS_LM3532)		+= leds-lm3532.o
obj-$(CONFIG_LEDS_LM3533)		+= leds-lm3533.o
obj-$(CONFIG_LEDS_LM355x)		+= leds-lm355x.o
obj-$(CONFIG_LEDS_LM3560)		+= leds-lm3560.o
obj-$(CONFIG_LEDS_LM36274)		+= leds-lm36274.o
obj-$(CONFIG_LEDS_LM3642)		+= leds-lm3642.o
obj-$(CONFIG_LEDS_LM3692X)		+= leds-lm3692x.o
obj-$(CONFIG_LEDS_LM3697)		+= leds-lm3697.o
obj-$(CONFIG_LEDS_LOCOMO)		+= leds-locomo.o
obj-$(CONFIG_LEDS_LP3944)		+= leds-lp3944.o
obj-$(CONFIG_LEDS_LP3952)		+= leds-lp3952.o
obj-$(CONFIG_LEDS_LP50XX)		+= leds-lp50xx.o
obj-$(CONFIG_LEDS_LP5521)		+= leds-lp5521.o
obj-$(CONFIG_LEDS_LP5523)		+= leds-lp5523.o
obj-$(CONFIG_LEDS_LP5562)		+= leds-lp5562.o
obj-$(CONFIG_LEDS_LP55XX_COMMON)	+= leds-lp55xx-common.o
obj-$(CONFIG_LEDS_LP8501)		+= leds-lp8501.o
obj-$(CONFIG_LEDS_LP8788)		+= leds-lp8788.o
obj-$(CONFIG_LEDS_LP8860)		+= leds-lp8860.o
obj-$(CONFIG_LEDS_LT3593)		+= leds-lt3593.o
obj-$(CONFIG_LEDS_MAX77650)		+= leds-max77650.o
obj-$(CONFIG_LEDS_MAX8997)		+= leds-max8997.o
obj-$(CONFIG_LEDS_MC13783)		+= leds-mc13783.o
obj-$(CONFIG_LEDS_MENF21BMC)		+= leds-menf21bmc.o
obj-$(CONFIG_LEDS_MIKROTIK_RB532)	+= leds-rb532.o
obj-$(CONFIG_LEDS_MLXCPLD)		+= leds-mlxcpld.o
obj-$(CONFIG_LEDS_MLXREG)		+= leds-mlxreg.o
obj-$(CONFIG_LEDS_MT6323)		+= leds-mt6323.o
obj-$(CONFIG_LEDS_NET48XX)		+= leds-net48xx.o
obj-$(CONFIG_LEDS_NETXBIG)		+= leds-netxbig.o
obj-$(CONFIG_LEDS_NIC78BX)		+= leds-nic78bx.o
obj-$(CONFIG_LEDS_NS2)			+= leds-ns2.o
obj-$(CONFIG_LEDS_OT200)		+= leds-ot200.o
obj-$(CONFIG_LEDS_PCA9532)		+= leds-pca9532.o
obj-$(CONFIG_LEDS_PCA955X)		+= leds-pca955x.o
obj-$(CONFIG_LEDS_PCA963X)		+= leds-pca963x.o
obj-$(CONFIG_LEDS_PCA995X)		+= leds-pca995x.o
obj-$(CONFIG_LEDS_PM8058)		+= leds-pm8058.o
obj-$(CONFIG_LEDS_POWERNV)		+= leds-powernv.o
obj-$(CONFIG_LEDS_PWM)			+= leds-pwm.o
obj-$(CONFIG_LEDS_REGULATOR)		+= leds-regulator.o
obj-$(CONFIG_LEDS_SC27XX_BLTC)		+= leds-sc27xx-bltc.o
obj-$(CONFIG_LEDS_SUNFIRE)		+= leds-sunfire.o
obj-$(CONFIG_LEDS_SYSCON)		+= leds-syscon.o
obj-$(CONFIG_LEDS_TCA6507)		+= leds-tca6507.o
obj-$(CONFIG_LEDS_TI_LMU_COMMON)	+= leds-ti-lmu-common.o
obj-$(CONFIG_LEDS_TLC591XX)		+= leds-tlc591xx.o
obj-$(CONFIG_LEDS_TPS6105X)		+= leds-tps6105x.o
obj-$(CONFIG_LEDS_TURRIS_OMNIA)		+= leds-turris-omnia.o
obj-$(CONFIG_LEDS_WM831X_STATUS)	+= leds-wm831x-status.o
obj-$(CONFIG_LEDS_WM8350)		+= leds-wm8350.o
obj-$(CONFIG_LEDS_WRAP)			+= leds-wrap.o

# LED SPI Drivers
obj-$(CONFIG_LEDS_CR0014114)		+= leds-cr0014114.o
obj-$(CONFIG_LEDS_DAC124S085)		+= leds-dac124s085.o
obj-$(CONFIG_LEDS_EL15203000)		+= leds-el15203000.o
obj-$(CONFIG_LEDS_SPI_BYTE)		+= leds-spi-byte.o

# LED Userspace Drivers
obj-$(CONFIG_LEDS_USER)			+= uleds.o

# Flash and Torch LED Drivers
obj-$(CONFIG_LEDS_CLASS_FLASH)		+= flash/

# RGB LED Drivers
obj-$(CONFIG_LEDS_CLASS_MULTICOLOR)	+= rgb/

# LED Triggers
obj-$(CONFIG_LEDS_TRIGGERS)		+= trigger/

# LED Blink
obj-y					+= blink/

# Simple LED drivers
obj-y					+= simple/

=== drivers/media/i2c/Makefile ===
# SPDX-License-Identifier: GPL-2.0

msp3400-objs	:=	msp3400-driver.o msp3400-kthreads.o

obj-$(CONFIG_SDR_MAX2175) += max2175.o
obj-$(CONFIG_VIDEO_AD5820) += ad5820.o
obj-$(CONFIG_VIDEO_ADP1653) += adp1653.o
obj-$(CONFIG_VIDEO_ADV7170) += adv7170.o
obj-$(CONFIG_VIDEO_ADV7175) += adv7175.o
obj-$(CONFIG_VIDEO_ADV7180) += adv7180.o
obj-$(CONFIG_VIDEO_ADV7183) += adv7183.o
obj-$(CONFIG_VIDEO_ADV7343) += adv7343.o
obj-$(CONFIG_VIDEO_ADV7393) += adv7393.o
obj-$(CONFIG_VIDEO_ADV748X) += adv748x/
obj-$(CONFIG_VIDEO_ADV7511) += adv7511-v4l2.o
obj-$(CONFIG_VIDEO_ADV7604) += adv7604.o
obj-$(CONFIG_VIDEO_ADV7842) += adv7842.o
obj-$(CONFIG_VIDEO_AK7375) += ak7375.o
obj-$(CONFIG_VIDEO_AK881X) += ak881x.o
obj-$(CONFIG_VIDEO_APTINA_PLL) += aptina-pll.o
obj-$(CONFIG_VIDEO_AR0521) += ar0521.o
obj-$(CONFIG_VIDEO_BT819) += bt819.o
obj-$(CONFIG_VIDEO_BT856) += bt856.o
obj-$(CONFIG_VIDEO_BT866) += bt866.o
obj-$(CONFIG_VIDEO_CCS) += ccs/
obj-$(CONFIG_VIDEO_CCS_PLL) += ccs-pll.o
obj-$(CONFIG_VIDEO_CS3308) += cs3308.o
obj-$(CONFIG_VIDEO_CS5345) += cs5345.o
obj-$(CONFIG_VIDEO_CS53L32A) += cs53l32a.o
obj-$(CONFIG_VIDEO_CX25840) += cx25840/
obj-$(CONFIG_VIDEO_DS90UB913) += ds90ub913.o
obj-$(CONFIG_VIDEO_DS90UB953) += ds90ub953.o
obj-$(CONFIG_VIDEO_DS90UB960) += ds90ub960.o
obj-$(CONFIG_VIDEO_DW9714) += dw9714.o
obj-$(CONFIG_VIDEO_DW9719) += dw9719.o
obj-$(CONFIG_VIDEO_DW9768) += dw9768.o
obj-$(CONFIG_VIDEO_DW9807_VCM) += dw9807-vcm.o
obj-$(CONFIG_VIDEO_ET8EK8) += et8ek8/
obj-$(CONFIG_VIDEO_HI556) += hi556.o
obj-$(CONFIG_VIDEO_HI846) += hi846.o
obj-$(CONFIG_VIDEO_HI847) += hi847.o
obj-$(CONFIG_VIDEO_I2C) += video-i2c.o
obj-$(CONFIG_VIDEO_IMX208) += imx208.o
obj-$(CONFIG_VIDEO_IMX214) += imx214.o
obj-$(CONFIG_VIDEO_IMX219) += imx219.o
obj-$(CONFIG_VIDEO_IMX258) += imx258.o
obj-$(CONFIG_VIDEO_IMX274) += imx274.o
obj-$(CONFIG_VIDEO_IMX290) += imx290.o
obj-$(CONFIG_VIDEO_IMX296) += imx296.o
obj-$(CONFIG_VIDEO_IMX319) += imx319.o
obj-$(CONFIG_VIDEO_IMX334) += imx334.o
obj-$(CONFIG_VIDEO_IMX335) += imx335.o
obj-$(CONFIG_VIDEO_IMX355) += imx355.o
obj-$(CONFIG_VIDEO_IMX412) += imx412.o
obj-$(CONFIG_VIDEO_IMX415) += imx415.o
obj-$(CONFIG_VIDEO_IR_I2C) += ir-kbd-i2c.o
obj-$(CONFIG_VIDEO_ISL7998X) += isl7998x.o
obj-$(CONFIG_VIDEO_KS0127) += ks0127.o
obj-$(CONFIG_VIDEO_LM3560) += lm3560.o
obj-$(CONFIG_VIDEO_LM3646) += lm3646.o
obj-$(CONFIG_VIDEO_M52790) += m52790.o
obj-$(CONFIG_VIDEO_MAX9271_LIB) += max9271.o
obj-$(CONFIG_VIDEO_MAX9286) += max9286.o
obj-$(CONFIG_VIDEO_ML86V7667) += ml86v7667.o
obj-$(CONFIG_VIDEO_MSP3400) += msp3400.o
obj-$(CONFIG_VIDEO_MT9M001) += mt9m001.o
obj-$(CONFIG_VIDEO_MT9M111) += mt9m111.o
obj-$(CONFIG_VIDEO_MT9P031) += mt9p031.o
obj-$(CONFIG_VIDEO_MT9T112) += mt9t112.o
obj-$(CONFIG_VIDEO_MT9V011) += mt9v011.o
obj-$(CONFIG_VIDEO_MT9V032) += mt9v032.o
obj-$(CONFIG_VIDEO_MT9V111) += mt9v111.o
obj-$(CONFIG_VIDEO_OG01A1B) += og01a1b.o
obj-$(CONFIG_VIDEO_OV01A10) += ov01a10.o
obj-$(CONFIG_VIDEO_OV02A10) += ov02a10.o
obj-$(CONFIG_VIDEO_OV08D10) += ov08d10.o
obj-$(CONFIG_VIDEO_OV08X40) += ov08x40.o
obj-$(CONFIG_VIDEO_OV13858) += ov13858.o
obj-$(CONFIG_VIDEO_OV13B10) += ov13b10.o
obj-$(CONFIG_VIDEO_OV2640) += ov2640.o
obj-$(CONFIG_VIDEO_OV2659) += ov2659.o
obj-$(CONFIG_VIDEO_OV2680) += ov2680.o
obj-$(CONFIG_VIDEO_OV2685) += ov2685.o
obj-$(CONFIG_VIDEO_OV2740) += ov2740.o
obj-$(CONFIG_VIDEO_OV4689) += ov4689.o
obj-$(CONFIG_VIDEO_OV5640) += ov5640.o
obj-$(CONFIG_VIDEO_OV5645) += ov5645.o
obj-$(CONFIG_VIDEO_OV5647) += ov5647.o
obj-$(CONFIG_VIDEO_OV5648) += ov5648.o
obj-$(CONFIG_VIDEO_OV5670) += ov5670.o
obj-$(CONFIG_VIDEO_OV5675) += ov5675.o
obj-$(CONFIG_VIDEO_OV5693) += ov5693.o
obj-$(CONFIG_VIDEO_OV5695) += ov5695.o
obj-$(CONFIG_VIDEO_OV6650) += ov6650.o
obj-$(CONFIG_VIDEO_OV7251) += ov7251.o
obj-$(CONFIG_VIDEO_OV7640) += ov7640.o
obj-$(CONFIG_VIDEO_OV7670) += ov7670.o
obj-$(CONFIG_VIDEO_OV772X) += ov772x.o
obj-$(CONFIG_VIDEO_OV7740) += ov7740.o
obj-$(CONFIG_VIDEO_OV8856) += ov8856.o
obj-$(CONFIG_VIDEO_OV8858) += ov8858.o
obj-$(CONFIG_VIDEO_OV8865) += ov8865.o
obj-$(CONFIG_VIDEO_OV9282) += ov9282.o
obj-$(CONFIG_VIDEO_OV9640) += ov9640.o
obj-$(CONFIG_VIDEO_OV9650) += ov9650.o
obj-$(CONFIG_VIDEO_OV9734) += ov9734.o
obj-$(CONFIG_VIDEO_RDACM20) += rdacm20.o
obj-$(CONFIG_VIDEO_RDACM21) += rdacm21.o
obj-$(CONFIG_VIDEO_RJ54N1) += rj54n1cb0c.o
obj-$(CONFIG_VIDEO_S5C73M3) += s5c73m3/
obj-$(CONFIG_VIDEO_S5K5BAF) += s5k5baf.o
obj-$(CONFIG_VIDEO_S5K3L6XX)	+= s5k3l6xx.o
obj-$(CONFIG_VIDEO_S5K6A3) += s5k6a3.o
obj-$(CONFIG_VIDEO_SAA6588) += saa6588.o
obj-$(CONFIG_VIDEO_SAA6752HS) += saa6752hs.o
obj-$(CONFIG_VIDEO_SAA7110) += saa7110.o
obj-$(CONFIG_VIDEO_SAA711X) += saa7115.o
obj-$(CONFIG_VIDEO_SAA7127) += saa7127.o
obj-$(CONFIG_VIDEO_SAA717X) += saa717x.o
obj-$(CONFIG_VIDEO_SAA7185) += saa7185.o
obj-$(CONFIG_VIDEO_SONY_BTF_MPX) += sony-btf-mpx.o
obj-$(CONFIG_VIDEO_ST_MIPID02) += st-mipid02.o
obj-$(CONFIG_VIDEO_ST_VGXY61) += st-vgxy61.o
obj-$(CONFIG_VIDEO_TC358743) += tc358743.o
obj-$(CONFIG_VIDEO_TC358746) += tc358746.o
obj-$(CONFIG_VIDEO_TDA1997X) += tda1997x.o
obj-$(CONFIG_VIDEO_TDA7432) += tda7432.o
obj-$(CONFIG_VIDEO_TDA9840) += tda9840.o
obj-$(CONFIG_VIDEO_TEA6415C) += tea6415c.o
obj-$(CONFIG_VIDEO_TEA6420) += tea6420.o
obj-$(CONFIG_VIDEO_THS7303) += ths7303.o
obj-$(CONFIG_VIDEO_THS8200) += ths8200.o
obj-$(CONFIG_VIDEO_TLV320AIC23B) += tlv320aic23b.o
obj-$(CONFIG_VIDEO_TVAUDIO) += tvaudio.o
obj-$(CONFIG_VIDEO_TVP514X) += tvp514x.o
obj-$(CONFIG_VIDEO_TVP5150) += tvp5150.o
obj-$(CONFIG_VIDEO_TVP7002) += tvp7002.o
obj-$(CONFIG_VIDEO_TW2804) += tw2804.o
obj-$(CONFIG_VIDEO_TW9903) += tw9903.o
obj-$(CONFIG_VIDEO_TW9906) += tw9906.o
obj-$(CONFIG_VIDEO_TW9910) += tw9910.o
obj-$(CONFIG_VIDEO_UDA1342) += uda1342.o
obj-$(CONFIG_VIDEO_UPD64031A) += upd64031a.o
obj-$(CONFIG_VIDEO_UPD64083) += upd64083.o
obj-$(CONFIG_VIDEO_VP27SMPX) += vp27smpx.o
obj-$(CONFIG_VIDEO_VPX3220) += vpx3220.o
obj-$(CONFIG_VIDEO_WM8739) += wm8739.o
obj-$(CONFIG_VIDEO_WM8775) += wm8775.o

=== drivers/net/wireless/Makefile ===
# SPDX-License-Identifier: GPL-2.0
#
# Makefile for the Linux Wireless network device drivers.
#

obj-$(CONFIG_WLAN_VENDOR_ADMTEK) += admtek/
obj-$(CONFIG_WLAN_VENDOR_ATH) += ath/
obj-$(CONFIG_WLAN_VENDOR_ATMEL) += atmel/
obj-$(CONFIG_WLAN_VENDOR_BROADCOM) += broadcom/
obj-$(CONFIG_WLAN_VENDOR_CISCO) += cisco/
obj-$(CONFIG_WLAN_VENDOR_INTEL) += intel/
obj-$(CONFIG_WLAN_VENDOR_INTERSIL) += intersil/
obj-$(CONFIG_WLAN_VENDOR_MARVELL) += marvell/
obj-$(CONFIG_WLAN_VENDOR_MEDIATEK) += mediatek/
obj-$(CONFIG_WLAN_VENDOR_MICROCHIP) += microchip/
obj-$(CONFIG_WLAN_VENDOR_PURELIFI) += purelifi/
obj-$(CONFIG_WLAN_VENDOR_QUANTENNA) += quantenna/
obj-$(CONFIG_WLAN_VENDOR_RALINK) += ralink/
obj-$(CONFIG_WLAN_VENDOR_REALTEK) += realtek/
obj-$(CONFIG_WLAN_VENDOR_RSI) += rsi/
obj-$(CONFIG_WLAN_VENDOR_REDPINE) += redpine/
obj-$(CONFIG_WLAN_VENDOR_SILABS) += silabs/
obj-$(CONFIG_WLAN_VENDOR_ST) += st/
obj-$(CONFIG_WLAN_VENDOR_TI) += ti/
obj-$(CONFIG_WLAN_VENDOR_ZYDAS) += zydas/

obj-$(CONFIG_WLAN) += legacy/
obj-$(CONFIG_WLAN) += virtual/

=== drivers/gpu/drm/rockchip/Makefile ===
# SPDX-License-Identifier: GPL-2.0
#
# Makefile for the drm device driver.  This driver provides support for the
# Direct Rendering Infrastructure (DRI) in XFree86 4.1.0 and higher.

rockchipdrm-y := rockchip_drm_drv.o rockchip_drm_fb.o \
		rockchip_drm_gem.o

rockchipdrm-$(CONFIG_ROCKCHIP_VOP2) += rockchip_drm_vop2.o rockchip_vop2_reg.o
rockchipdrm-$(CONFIG_ROCKCHIP_VOP) += rockchip_drm_vop.o rockchip_vop_reg.o
rockchipdrm-$(CONFIG_ROCKCHIP_ANALOGIX_DP) += analogix_dp-rockchip.o
rockchipdrm-$(CONFIG_ROCKCHIP_CDN_DP) += cdn-dp-core.o
rockchipdrm-$(CONFIG_ROCKCHIP_DW_HDMI) += dw_hdmi-rockchip.o
rockchipdrm-$(CONFIG_ROCKCHIP_DW_MIPI_DSI) += dw-mipi-dsi-rockchip.o
rockchipdrm-$(CONFIG_ROCKCHIP_INNO_HDMI) += inno_hdmi.o
rockchipdrm-$(CONFIG_ROCKCHIP_LVDS) += rockchip_lvds.o
rockchipdrm-$(CONFIG_ROCKCHIP_RGB) += rockchip_rgb.o
rockchipdrm-$(CONFIG_ROCKCHIP_RK3066_HDMI) += rk3066_hdmi.o

obj-$(CONFIG_DRM_ROCKCHIP) += rockchipdrm.o

=== drivers/gpu/drm/bridge/cadence/Makefile ===
# SPDX-License-Identifier: GPL-2.0-only
obj-$(CONFIG_DRM_CDNS_DSI) += cdns-dsi.o
cdns-dsi-y := cdns-dsi-core.o
cdns-dsi-$(CONFIG_DRM_CDNS_DSI_J721E) += cdns-dsi-j721e.o
obj-$(CONFIG_DRM_CDNS_MHDP8546) += cdns-mhdp8546.o
cdns-mhdp8546-y := cdns-mhdp8546-core.o cdns-mhdp8546-hdcp.o
cdns-mhdp8546-$(CONFIG_DRM_CDNS_MHDP8546_J721E) += cdns-mhdp8546-j721e.o
obj-$(CONFIG_DRM_CDNS_MHDP)		+= cdns_mhdp_drmcore.o
cdns_mhdp_drmcore-y := cdns-mhdp-common.o cdns-mhdp-audio.o cdns-mhdp-dp.o cdns-mhdp-hdmi.o
cdns_mhdp_drmcore-$(CONFIG_DRM_CDNS_DP) += cdns-dp-core.o
cdns_mhdp_drmcore-$(CONFIG_DRM_CDNS_HDMI) += cdns-hdmi-core.o

=== drivers/gpu/drm/imx/mhdp/Makefile ===
# SPDX-License-Identifier: GPL-2.0

cdns_mhdp_imx-objs := cdns-mhdp-imxdrv.o cdns-mhdp-dp-phy.o cdns-mhdp-hdmi-phy.o
obj-$(CONFIG_DRM_IMX_CDNS_MHDP) += cdns_mhdp_imx.o

=== arch/arm/boot/dts/nxp/imx/Makefile ===
# SPDX-License-Identifier: GPL-2.0
dtb-$(CONFIG_SOC_IMX1) += \
	imx1-ads.dtb \
	imx1-apf9328.dtb
dtb-$(CONFIG_SOC_IMX25) += \
	imx25-eukrea-mbimxsd25-baseboard.dtb \
	imx25-eukrea-mbimxsd25-baseboard-cmo-qvga.dtb \
	imx25-eukrea-mbimxsd25-baseboard-dvi-svga.dtb \
	imx25-eukrea-mbimxsd25-baseboard-dvi-vga.dtb \
	imx25-karo-tx25.dtb \
	imx25-pdk.dtb
dtb-$(CONFIG_SOC_IMX27) += \
	imx27-apf27.dtb \
	imx27-apf27dev.dtb \
	imx27-eukrea-mbimxsd27-baseboard.dtb \
	imx27-pdk.dtb \
	imx27-phytec-phycore-rdk.dtb \
	imx27-phytec-phycard-s-rdk.dtb
dtb-$(CONFIG_SOC_IMX31) += \
	imx31-bug.dtb \
	imx31-lite.dtb
dtb-$(CONFIG_SOC_IMX35) += \
	imx35-eukrea-mbimxsd35-baseboard.dtb \
	imx35-pdk.dtb
dtb-$(CONFIG_SOC_IMX50) += \
	imx50-evk.dtb \
	imx50-kobo-aura.dtb
dtb-$(CONFIG_SOC_IMX51) += \
	imx51-apf51.dtb \
	imx51-apf51dev.dtb \
	imx51-babbage.dtb \
	imx51-digi-connectcore-jsk.dtb \
	imx51-eukrea-mbimxsd51-baseboard.dtb \
	imx51-ts4800.dtb \
	imx51-zii-rdu1.dtb \
	imx51-zii-scu2-mezz.dtb \
	imx51-zii-scu3-esb.dtb
dtb-$(CONFIG_SOC_IMX53) += \
	imx53-ard.dtb \
	imx53-cx9020.dtb \
	imx53-kp-ddc.dtb \
	imx53-kp-hsc.dtb \
	imx53-m53evk.dtb \
	imx53-m53menlo.dtb \
	imx53-mba53.dtb \
	imx53-ppd.dtb \
	imx53-qsb.dtb \
	imx53-qsrb.dtb \
	imx53-sk-imx53.dtb \
	imx53-smd.dtb \
	imx53-tx53-x03x.dtb \
	imx53-tx53-x13x.dtb \
	imx53-usbarmory.dtb \
	imx53-voipac-bsb.dtb
dtb-$(CONFIG_SOC_IMX6Q) += \
	imx6dl-alti6p.dtb \
	imx6dl-apf6dev.dtb \
	imx6dl-aristainetos_4.dtb \
	imx6dl-aristainetos_7.dtb \
	imx6dl-aristainetos2_4.dtb \
	imx6dl-aristainetos2_7.dtb \
	imx6dl-colibri-aster.dtb \
	imx6dl-colibri-eval-v3.dtb \
	imx6dl-colibri-iris.dtb \
	imx6dl-colibri-iris-v2.dtb \
	imx6dl-cubox-i.dtb \
	imx6dl-cubox-i-emmc-som-v15.dtb \
	imx6dl-cubox-i-som-v15.dtb \
	imx6dl-dfi-fs700-m60.dtb \
	imx6dl-dhcom-picoitx.dtb \
	imx6dl-eckelmann-ci4x10.dtb \
	imx6dl-emcon-avari.dtb \
	imx6dl-gw51xx.dtb \
	imx6dl-gw52xx.dtb \
	imx6dl-gw53xx.dtb \
	imx6dl-gw54xx.dtb \
	imx6dl-gw551x.dtb \
	imx6dl-gw552x.dtb \
	imx6dl-gw553x.dtb \
	imx6dl-gw560x.dtb \
	imx6dl-gw5903.dtb \
	imx6dl-gw5904.dtb \
	imx6dl-gw5907.dtb \
	imx6dl-gw5910.dtb \
	imx6dl-gw5912.dtb \
	imx6dl-gw5913.dtb \
	imx6dl-hummingboard.dtb \
	imx6dl-hummingboard-emmc-som-v15.dtb \
	imx6dl-hummingboard-som-v15.dtb \
	imx6dl-hummingboard2.dtb \
	imx6dl-hummingboard2-emmc-som-v15.dtb \
	imx6dl-hummingboard2-som-v15.dtb \
	imx6dl-icore.dtb \
	imx6dl-icore-mipi.dtb \
	imx6dl-icore-rqs.dtb \
	imx6dl-lanmcu.dtb \
	imx6dl-mamoj.dtb \
	imx6dl-mba6a.dtb \
	imx6dl-mba6b.dtb \
	imx6dl-nit6xlite.dtb \
	imx6dl-nitrogen6x.dtb \
	imx6dl-phytec-mira-rdk-nand.dtb \
	imx6dl-phytec-pbab01.dtb \
	imx6dl-pico-dwarf.dtb \
	imx6dl-pico-hobbit.dtb \
	imx6dl-pico-nymph.dtb \
	imx6dl-pico-pi.dtb \
	imx6dl-plybas.dtb \
	imx6dl-plym2m.dtb \
	imx6dl-prtmvt.dtb \
	imx6dl-prtrvt.dtb \
	imx6dl-prtvt7.dtb \
	imx6dl-rex-basic.dtb \
	imx6dl-riotboard.dtb \
	imx6dl-sabreauto.dtb \
	imx6dl-sabrelite.dtb \
	imx6dl-sabresd.dtb \
	imx6dl-savageboard.dtb \
	imx6dl-skov-revc-lt2.dtb \
	imx6dl-skov-revc-lt6.dtb \
	imx6dl-solidsense.dtb \
	imx6dl-ts4900.dtb \
	imx6dl-ts7970.dtb \
	imx6dl-tx6dl-comtft.dtb \
	imx6dl-tx6s-8034.dtb \
	imx6dl-tx6s-8034-mb7.dtb \
	imx6dl-tx6s-8035.dtb \
	imx6dl-tx6s-8035-mb7.dtb \
	imx6dl-tx6u-801x.dtb \
	imx6dl-tx6u-80xx-mb7.dtb \
	imx6dl-tx6u-8033.dtb \
	imx6dl-tx6u-8033-mb7.dtb \
	imx6dl-tx6u-811x.dtb \
	imx6dl-tx6u-81xx-mb7.dtb \
	imx6dl-udoo.dtb \
	imx6dl-victgo.dtb \
	imx6dl-vicut1.dtb \
	imx6dl-wandboard.dtb \
	imx6dl-wandboard-revb1.dtb \
	imx6dl-wandboard-revd1.dtb \
	imx6dl-yapp4-draco.dtb \
	imx6dl-yapp4-hydra.dtb \
	imx6dl-yapp4-lynx.dtb \
	imx6dl-yapp4-orion.dtb \
	imx6dl-yapp4-phoenix.dtb \
	imx6dl-yapp4-ursa.dtb \
	imx6q-apalis-eval.dtb \
	imx6q-apalis-ixora.dtb \
	imx6q-apalis-ixora-v1.1.dtb \
	imx6q-apalis-ixora-v1.2.dtb \
	imx6q-apf6dev.dtb \
	imx6q-arm2.dtb \
	imx6q-b450v3.dtb \
	imx6q-b650v3.dtb \
	imx6q-b850v3.dtb \
	imx6q-bosch-acc.dtb \
	imx6q-cm-fx6.dtb \
	imx6q-cubox-i.dtb \
	imx6q-cubox-i-emmc-som-v15.dtb \
	imx6q-cubox-i-som-v15.dtb \
	imx6q-dfi-fs700-m60.dtb \
	imx6q-dhcom-pdk2.dtb \
	imx6q-display5-tianma-tm070-1280x768.dtb \
	imx6q-dmo-edmqmx6.dtb \
	imx6q-dms-ba16.dtb \
	imx6q-ds.dtb \
	imx6q-emcon-avari.dtb \
	imx6q-evi.dtb \
	imx6dl-b105pv2.dtb \
	imx6dl-b105v2.dtb \
	imx6dl-b125v2.dtb \
	imx6dl-b125pv2.dtb \
	imx6dl-b155v2.dtb \
	imx6q-gk802.dtb \
	imx6q-gw51xx.dtb \
	imx6q-gw52xx.dtb \
	imx6q-gw53xx.dtb \
	imx6q-gw5400-a.dtb \
	imx6q-gw54xx.dtb \
	imx6q-gw551x.dtb \
	imx6q-gw552x.dtb \
	imx6q-gw553x.dtb \
	imx6q-gw560x.dtb \
	imx6q-gw5903.dtb \
	imx6q-gw5904.dtb \
	imx6q-gw5907.dtb \
	imx6q-gw5910.dtb \
	imx6q-gw5912.dtb \
	imx6q-gw5913.dtb \
	imx6q-h100.dtb \
	imx6q-hummingboard.dtb \
	imx6q-hummingboard-emmc-som-v15.dtb \
	imx6q-hummingboard-som-v15.dtb \
	imx6q-hummingboard2.dtb \
	imx6q-hummingboard2-emmc-som-v15.dtb \
	imx6q-hummingboard2-som-v15.dtb \
	imx6q-icore.dtb \
	imx6q-icore-mipi.dtb \
	imx6q-icore-ofcap10.dtb \
	imx6q-icore-ofcap12.dtb \
	imx6q-icore-rqs.dtb \
	imx6q-kp-tpc.dtb \
	imx6q-logicpd.dtb \
	imx6q-marsboard.dtb \
	imx6q-mba6a.dtb \
	imx6q-mba6b.dtb \
	imx6q-mccmon6.dtb \
	imx6q-nitrogen6x.dtb \
	imx6q-nitrogen6_max.dtb \
	imx6q-nitrogen6_som2.dtb \
	imx6q-novena.dtb \
	imx6q-phytec-mira-rdk-emmc.dtb \
	imx6q-phytec-mira-rdk-nand.dtb \
	imx6q-phytec-pbab01.dtb \
	imx6q-pico-dwarf.dtb \
	imx6q-pico-hobbit.dtb \
	imx6q-pico-nymph.dtb \
	imx6q-pico-pi.dtb \
	imx6q-pistachio.dtb \
	imx6q-prti6q.dtb \
	imx6q-prtwd2.dtb \
	imx6q-rex-pro.dtb \
	imx6q-sabreauto.dtb \
	imx6q-sabrelite.dtb \
	imx6q-sabresd.dtb \
	imx6q-savageboard.dtb \
	imx6q-sbc6x.dtb \
	imx6q-skov-revc-lt2.dtb \
	imx6q-skov-revc-lt6.dtb \
	imx6q-skov-reve-mi1010ait-1cp1.dtb \
	imx6q-solidsense.dtb \
	imx6q-tbs2910.dtb \
	imx6q-ts4900.dtb \
	imx6q-ts7970.dtb \
	imx6q-tx6q-1010.dtb \
	imx6q-tx6q-1010-comtft.dtb \
	imx6q-tx6q-1020.dtb \
	imx6q-tx6q-1020-comtft.dtb \
	imx6q-tx6q-1036.dtb \
	imx6q-tx6q-1036-mb7.dtb \
	imx6q-tx6q-10x0-mb7.dtb \
	imx6q-tx6q-1110.dtb \
	imx6q-tx6q-11x0-mb7.dtb \
	imx6q-udoo.dtb \
	imx6q-utilite-pro.dtb \
	imx6q-var-dt6customboard.dtb \
	imx6q-vicut1.dtb \
	imx6q-wandboard.dtb \
	imx6q-wandboard-revb1.dtb \
	imx6q-wandboard-revd1.dtb \
	imx6q-yapp4-crux.dtb \
	imx6q-yapp4-pegasus.dtb \
	imx6q-zii-rdu2.dtb \
	imx6qp-mba6b.dtb \
	imx6qp-nitrogen6_max.dtb \
	imx6qp-nitrogen6_max_purism.dtb \
	imx6qp-nitrogen6_som2.dtb \
	imx6qp-phytec-mira-rdk-nand.dtb \
	imx6qp-prtwd3.dtb \
	imx6qp-sabreauto.dtb \
	imx6qp-sabresd.dtb \
	imx6qp-tx6qp-8037.dtb \
	imx6qp-tx6qp-8037-mb7.dtb \
	imx6qp-tx6qp-8137.dtb \
	imx6qp-tx6qp-8137-mb7.dtb \
	imx6qp-vicutp.dtb \
	imx6qp-wandboard-revd1.dtb \
	imx6qp-yapp4-crux-plus.dtb \
	imx6qp-yapp4-pegasus-plus.dtb \
	imx6qp-zii-rdu2.dtb \
	imx6s-dhcom-drc02.dtb
dtb-$(CONFIG_SOC_IMX6SL) += \
	imx6sl-evk.dtb \
	imx6sl-kobo-aura2.dtb \
	imx6sl-tolino-shine2hd.dtb \
	imx6sl-tolino-shine3.dtb \
	imx6sl-tolino-vision.dtb \
	imx6sl-tolino-vision5.dtb \
	imx6sl-warp.dtb
dtb-$(CONFIG_SOC_IMX6SLL) += \
	imx6sll-evk.dtb \
	imx6sll-kobo-clarahd.dtb \
	imx6sll-kobo-librah2o.dtb
dtb-$(CONFIG_SOC_IMX6SX) += \
	imx6sx-nitrogen6sx.dtb \
	imx6sx-sabreauto.dtb \
	imx6sx-sdb-reva.dtb \
	imx6sx-sdb-sai.dtb \
	imx6sx-sdb.dtb \
	imx6sx-sdb-mqs.dtb \
	imx6sx-softing-vining-2000.dtb \
	imx6sx-udoo-neo-basic.dtb \
	imx6sx-udoo-neo-extended.dtb \
	imx6sx-udoo-neo-full.dtb
dtb-$(CONFIG_SOC_IMX6UL) += \
	imx6ul-14x14-evk.dtb \
	imx6ul-ccimx6ulsbcexpress.dtb \
	imx6ul-ccimx6ulsbcpro.dtb \
	imx6ul-geam.dtb \
	imx6ul-isiot-emmc.dtb \
	imx6ul-isiot-nand.dtb \
	imx6ul-kontron-bl.dtb \
	imx6ul-kontron-bl-43.dtb \
	imx6ul-liteboard.dtb \
	imx6ul-tqma6ul1-mba6ulx.dtb \
	imx6ul-tqma6ul2-mba6ulx.dtb \
	imx6ul-tqma6ul2l-mba6ulx.dtb \
	imx6ul-opos6uldev.dtb \
	imx6ul-pico-dwarf.dtb \
	imx6ul-pico-hobbit.dtb \
	imx6ul-pico-pi.dtb \
	imx6ul-phytec-segin-ff-rdk-emmc.dtb \
	imx6ul-phytec-segin-ff-rdk-nand.dtb \
	imx6ul-prti6g.dtb \
	imx6ul-tx6ul-0010.dtb \
	imx6ul-tx6ul-0011.dtb \
	imx6ul-tx6ul-mainboard.dtb \
	imx6ull-14x14-evk.dtb \
	imx6ull-colibri-aster.dtb \
	imx6ull-colibri-emmc-aster.dtb \
	imx6ull-colibri-emmc-eval-v3.dtb \
	imx6ull-colibri-emmc-iris.dtb \
	imx6ull-colibri-emmc-iris-v2.dtb \
	imx6ull-colibri-eval-v3.dtb \
	imx6ull-colibri-iris.dtb \
	imx6ull-colibri-iris-v2.dtb \
	imx6ull-colibri-wifi-aster.dtb \
	imx6ull-colibri-wifi-eval-v3.dtb \
	imx6ull-colibri-wifi-iris.dtb \
	imx6ull-colibri-wifi-iris-v2.dtb \
	imx6ull-dhcom-drc02.dtb \
	imx6ull-dhcom-pdk2.dtb \
	imx6ull-dhcom-picoitx.dtb \
	imx6ull-dhcor-maveo-box.dtb \
	imx6ull-jozacp.dtb \
	imx6ull-kontron-bl.dtb \
	imx6ull-myir-mys-6ulx-eval.dtb \
	imx6ull-opos6uldev.dtb \
	imx6ull-phytec-segin-ff-rdk-nand.dtb \
	imx6ull-phytec-segin-ff-rdk-emmc.dtb \
	imx6ull-phytec-segin-lc-rdk-nand.dtb \
	imx6ull-phytec-tauri-emmc.dtb \
	imx6ull-phytec-tauri-nand.dtb \
	imx6ull-tarragon-master.dtb \
	imx6ull-tarragon-micro.dtb \
	imx6ull-tarragon-slave.dtb \
	imx6ull-tarragon-slavext.dtb \
	imx6ull-tqma6ull2-mba6ulx.dtb \
	imx6ull-tqma6ull2l-mba6ulx.dtb \
	imx6ulz-14x14-evk.dtb \
	imx6ulz-bsh-smm-m2.dtb
dtb-$(CONFIG_SOC_IMX7D) += \
	imx7d-cl-som-imx7.dtb \
	imx7d-colibri-aster.dtb \
	imx7d-colibri-emmc-aster.dtb \
	imx7d-colibri-emmc-iris.dtb \
	imx7d-colibri-emmc-iris-v2.dtb \
	imx7d-colibri-emmc-eval-v3.dtb \
	imx7d-colibri-eval-v3.dtb \
	imx7d-colibri-iris.dtb \
	imx7d-colibri-iris-v2.dtb \
	imx7d-flex-concentrator.dtb \
	imx7d-flex-concentrator-mfg.dtb \
	imx7d-mba7.dtb \
	imx7d-meerkat96.dtb \
	imx7d-nitrogen7.dtb \
	imx7d-pico-dwarf.dtb \
	imx7d-pico-hobbit.dtb \
	imx7d-pico-nymph.dtb \
	imx7d-pico-pi.dtb \
	imx7d-remarkable2.dtb \
	imx7d-sbc-imx7.dtb \
	imx7d-sdb.dtb \
	imx7d-sdb-reva.dtb \
	imx7d-sdb-sht11.dtb \
	imx7d-smegw01.dtb \
	imx7d-zii-rmu2.dtb \
	imx7d-zii-rpu2.dtb \
	imx7s-colibri-aster.dtb \
	imx7s-colibri-eval-v3.dtb \
	imx7s-colibri-iris.dtb \
	imx7s-colibri-iris-v2.dtb \
	imx7s-mba7.dtb \
	imx7s-warp.dtb
dtb-$(CONFIG_SOC_IMX7ULP) += \
	imx7ulp-com.dtb \
	imx7ulp-evk.dtb
dtb-$(CONFIG_SOC_IMXRT) += \
	imxrt1050-evk.dtb

=== debian/changelog ===
linux-librem5 (6.6.119pureos1~byz1) byzantium; urgency=medium

  * Release into byzantium

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Mon, 05 Jan 2026 20:18:16 +0100

linux-librem5 (6.6.119pureos1) dawn; urgency=medium

  * [ab9145c] librem5_defconfig: Enable features recommended by systemd
  * [c8fc666] librem5_defconfig: Enable virtualization-related options
  * [06380ea] Merge tag 'v6.6.119' into pureos/latest

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Sat, 03 Jan 2026 04:39:37 +0100

=== debian/control ===
Source: linux-librem5
Section: kernel
Priority: optional
Maintainer: Purism Kernel Team <kernel@puri.sm>
Uploaders:
 Angus Ainslie (Purism) <angus@akkea.ca>,
 Guido Günther <agx@sigxcpu.org>,
 Martin Kepplinger <martin.kepplinger@puri.sm>,
Build-Depends:
 bc,
 bison,
 cpio,
 debhelper-compat (=12),
 flex | flex:native,
 gcc-aarch64-linux-gnu,
 kmod,
 libssl-dev:native,
 rsync,
Standards-Version: 4.4.0
Homepage: https://source.puri.sm/Librem5/linux
Vcs-Git: https://source.puri.sm/Librem5/linux.git
Vcs-Browser: https://source.puri.sm/Librem5/linux

Package: linux-image-6.6.0-1-librem5
Architecture: arm64
Depends:
 flash-kernel (>= 3.102.0pureos6),
 initramfs-tools,
 kmod,
 linux-base,
Breaks:
 gstreamer1.0-plugins-bad (<< 1.18.4-3pureos1),
 librem5-devkit-base (<< 0.0.10),
 librem5-base-defaults (<< 62pureos1~),
 megapixels (<< 0.17.0),
 millipixels (<< 0.19.0-1pureos1),
 phosh (<< 0.12.0),
 libgl1-mesa-dri (<< 21.2.6-1pureos4),
Description: Linux 6.6 for the Librem 5 and its devkit
  The linux kernel, modules and corresponding other files for the Librem 5 and
  the Librem 5 devkit.

Package: linux-headers-6.6.0-1-librem5
Architecture: arm64
Description: Linux kernel headers for librem5 on arm64
 This package provides kernel header files for the Librem5 kernel.
 .
 This is useful for people who need to build external modules

Package: linux-image-6.6.0-1-librem5-dbg
Section: debug
Architecture: arm64
Description: Linux kernel debugging symbols for librem5
 This package will come in handy if you need to debug the kernel. It provides
 all the necessary debug symbols for the kernel and its modules.

Package: linux-image-librem5
Architecture: arm64
Section: kernel
Provides: wireguard-modules (= 1.0.0)
Depends:
 linux-image-6.6.0-1-librem5 (>= ${binary:Version}),
Description: Linux kernel for the Librem 5 and its devkit
 This packages sole purpose is to depend on the latest Linux kernel and modules
 for use on the Librem5 and the Librem5 devkit.

## linux-librem5 6.6.119pureos1~cri1

=== net/rfkill/Makefile ===
# SPDX-License-Identifier: GPL-2.0-only
#
# Makefile for the RF switch subsystem.
#

rfkill-y			+= core.o
rfkill-$(CONFIG_RFKILL_INPUT)	+= input.o
obj-$(CONFIG_RFKILL)		+= rfkill.o
obj-$(CONFIG_RFKILL_GPIO)	+= rfkill-gpio.o
obj-$(CONFIG_RFKILL_HKS)	+= rfkill-hks.o

=== drivers/gpu/drm/imx/Makefile ===
# SPDX-License-Identifier: GPL-2.0

obj-$(CONFIG_DRM_IMX_DCSS) += dcss/
obj-$(CONFIG_DRM_IMX) += ipuv3/
obj-$(CONFIG_DRM_IMX_LCDC) += lcdc/
obj-$(CONFIG_DRM_IMX_CDNS_MHDP) += mhdp/

=== drivers/net/wireless/redpine/Makefile ===
#/*
# Copyright (c) 2017 Redpine Signals Inc. All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are met:
#
# 	1. Redistributions of source code must retain the above copyright
# 	   notice, this list of conditions and the following disclaimer.
#
# 	2. Redistributions in binary form must reproduce the above copyright
# 	   notice, this list of conditions and the following disclaimer in the
# 	   documentation and/or other materials provided with the distribution.
#
# 	3. Neither the name of the copyright holder nor the names of its
# 	   contributors may be used to endorse or promote products derived from
# 	   this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
# AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE
# LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
# CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
# SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
# INTERRUPTION). HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
# CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
# POSSIBILITY OF SUCH DAMAGE.
#*/

redpine_91x-y			+= rsi_91x_main.o
redpine_91x-y			+= rsi_91x_core.o
redpine_91x-y			+= rsi_91x_mac80211.o
redpine_91x-y			+= rsi_91x_mgmt.o
redpine_91x-y			+= rsi_91x_hal.o
redpine_91x-y			+= rsi_91x_ps.o
redpine_91x-$(CONFIG_REDPINE_DEBUGFS)	+= rsi_91x_debugfs.o
redpine_91x-$(CONFIG_REDPINE_BT_ALONE)	+= rsi_91x_hci.o
redpine_91x-$(CONFIG_RSI_BT_ANDROID) += rsi_91x_bluedroid.o
redpine_91x-$(CONFIG_REDPINE_COEX_MODE)	+= rsi_91x_coex.o
redpine_91x-$(CONFIG_REDPINE_COEX_MODE)	+= rsi_91x_hci.o
redpine_91x-$(CONFIG_REDPINE_ZIGB)	+= rsi_91x_zigb.o
redpine_91x-$(CONFIG_REDPINE_11K)	+= rsi_91x_rrm.o

redpine_usb-$(CONFIG_REDPINE_USB)	+= rsi_91x_usb.o rsi_91x_usb_ops.o
redpine_sdio-$(CONFIG_REDPINE_SDIO)	+= rsi_91x_sdio.o rsi_91x_sdio_ops.o
obj-$(CONFIG_REDPINE_91X) 		+= redpine_91x.o
obj-$(CONFIG_REDPINE_SDIO)		+= redpine_sdio.o
obj-$(CONFIG_REDPINE_USB)		+= redpine_usb.o

=== debian/changelog ===
linux-librem5 (6.6.119pureos1~cri1) crimson; urgency=medium

  * Release into crimson

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Mon, 05 Jan 2026 20:17:14 +0100

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

srctree ?= .

KREL=6.6.0-1-librem5
KREL_MAJOR=$(shell echo "${KREL}" | sed 's/\([0-9].[0-9]\+\).*/\1/')
BUILD_TIMESTAMP=$(shell date -u '+%Y-%m-%d %H:%M:%S UTC')
BUILD=$(MAKE) KERNELRELEASE=$(KREL) KBUILD_BUILD_VERSION_TIMESTAMP="$(DEB_VERSION) $(BUILD_TIMESTAMP)" ARCH=arm64 CROSS_COMPILE=aarch64-linux-gnu-

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	BUILD += -j$(NUMJOBS)
endif

debian/control: debian/control.next.in debian/control.stable.in
ifeq ($(DEB_SOURCE), linux-librem5)
	cat debian/control.next.in > debian/control.in
	cat debian/control.stable.in >> debian/control.in
	sed -e 's/\%KREL\%/$(KREL)/g' \
	    -e 's/\%DEB_SOURCE\%/$(DEB_SOURCE)/g' \
	    -e 's/\%KREL_MAJOR\%/$(KREL_MAJOR)/g' \
		debian/control.in > debian/control.tmp
else
	sed -e 's/\%KREL\%/$(KREL)/g' \
	    -e 's/\%DEB_SOURCE\%/$(DEB_SOURCE)/g' \
	    -e 's/\%KREL_MAJOR\%/$(KREL_MAJOR)/g' \
		debian/control.next.in > debian/control.tmp
endif
	mv debian/control.tmp debian/control

.config: arch/arm64/configs/librem5_defconfig
	$(BUILD) librem5_defconfig

build-arch: .config
	$(BUILD) -f $(srctree)/Makefile

build-indep:
binary-indep:

binary-arch: debian/control build-arch
	$(BUILD) -f $(srctree)/Makefile run-command KBUILD_RUN_COMMAND=+\$(srctree)/scripts/package/builddeb
ifeq ($(DEB_SOURCE), linux-librem5)
	dh_installdeb -plinux-image-librem5
	dh_gencontrol -plinux-image-librem5
	dh_install -plinux-image-librem5
	dh_installdocs -plinux-image-librem5
	dh_installchangelogs -plinux-image-librem5
	dh_compress -plinux-image-librem5
	dh_builddeb -plinux-image-librem5
endif

clean: debian/control
	rm -rf debian/*tmp debian/files debian/control.in
ifeq ($(DEB_SOURCE), linux-librem5)
	dh_clean -plinux-image-librem5
endif
	$(MAKE) clean

binary: binary-arch
build: build-arch
